ATI repo down ??

Ive just installed openSUSE 11.2 and updated to KDE 4.4 but i cant install the ATI driver for GFX card.

when it get the pack down on my computer it says that the pack is destroyed and if id like to:

try again, Skip or cancel

If i try again it just say the same (ive done it like 10 times)

So is there a problem with ATI repo when it comes to KDE 4.4 ??

So atm im using a unknown gfx driver and when i scroll down on my firefox it lacks like ****